Subject: Re: bug#60102: Move gv-expander of substring to cl-lib

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Dec 2022 08:56:39 +0200

> Date: Thu, 15 Dec 2022 15:12:06 -0500
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> The `gv-expander` of `substring` uses the `cl--set-substring` function
> that's defined only in `cl-lib`, so currently, you can compile
> 
>     (setf (substring ...) ...)
> 
> without requiring `cl-lib` but at run time it will tend to signal
> a `void-function` error.
> We could autoload `cl--set-substring`, but I think a better choice is to
> move this `gv-expander` to `cl-lib.el`.
> 
> There are 2 other place definitions in `gv.el` which similarly rely on
> helper functions defined in `cl-lib` (namely `buffer-substring` and
> `frame-visible-p`) which we could move as well, but since we marked
> those as obsolete anyway I think we can "let them die" where they are,
> with their quirks left alone.  If you feel otherwise, I can update the
> patch to move them to `cl-lib.el` as well.

Is the patch for master or for the release branch?  I think it should
go to master.

Thanks.